Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Diskussion: MyBB 1.8.18 veröffentlicht
#41
(09.09.2018, 21:06)FlederMaus schrieb: "das ist ein bekanntes Problem"?
Ist das eine rhetorische Frage? Fehler passieren und lassen sich nie völlig ausschließen.
(09.09.2018, 21:06)FlederMaus schrieb: Aber das Upgrade dazu .. wenn es schon die direkt-Lösung 1.8.15 -> 1.8.18 gibt, dann möchte die auch funktionieren ohne den Weg allen Fleisches ..
Mir ist kein solches Problem bekannt. Kannst du dein Problem mit dem Upgrade bitte genauer beschreiben?
(09.09.2018, 21:06)FlederMaus schrieb: Aber ich weiß das ist zuviel verlangt, deswegen werde ich mir das mal testweise geben, ob es dann funktioniert, ist zwar maximal fraglich, wenn vor dem Upgrade auf die 16 ausdrücklich gewarnt wurde sogar in der eigenen Ankündigung dafür.. aber man kann ja nicht anders dran an funktionierenden Code
Ich persönlich habe von einer Aktualisierung auf MyBB 1.8.16 abgeraten, da direkt nach der Veröffentlichung mehrere störende Fehler gefunden wurden und die Entwickler daraufhin ein weiteres Update angekündigt haben.
(09.09.2018, 21:06)FlederMaus schrieb: Bei dem github stehen Fehlerid´s dran, die aus der Fehlermeldung die ich bekommen habe nicht hervorgehen
Wie auch? Der Wortlaut der Fehlermeldung wird von PHP und nicht vom MyBB generiert. Außerdem wurde das Ticket auch erst nach dem Release erstellt.
(09.09.2018, 21:06)FlederMaus schrieb: wenn das ein bekannter Fehler ist, kann man da das Script nicht einfach drauf hin updaten? Wenn man weiß wo es steht und offenbar MyBB fließend spricht, ist das doch so herum einfacher, als das Lösen des bekannten Problems dem User zu überlassen?
Der Fehler wird ja auch mit dem nächsten Update behoben, solange muss man eben selbst aktiv werden und die 5 Dateien austauschen. Das ist ja in wenigen Sekunden erledigt.
(09.09.2018, 21:06)FlederMaus schrieb: ich weiß ist ein harter Kommentar, aber es gibt wider erwarten auch noch User da draußen die nicht fließend MyBB sprechen, nicht wissen, ob der Fehlercode der da im GitHub geschrieben steht, das widerspiegelt was eigentlich das Problem ist ...
Es erwartet ja niemand, dass du das Ticket alleine auf Github findest oder den Fehler selbst behebst. Wink
Mittels das Suchfunktion oder eine Suchmaschine deiner Wahl sollten sich allerdings durchaus passende Beiträge finden lassen. Ansonsten darf man gerne hier im Forum fragen, wie du es getan hast. Die Lösung habe ich dir daraufhin verlinkt.
(09.09.2018, 21:06)FlederMaus schrieb: den Test von 1.8.15 über 1.8.17 auf 1.8.18 geb ich morgen noch und werde das Ergebnis hier anfügen
Ich weiß jetzt nicht, was du dir davon erwartest. Der Bug in MyBB 1.8.18 wird davon nicht auf magische Weise verschwinden.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#42
vielen Dank für die Geduld mit so einem Querkopf wie mir, ich hatte schon befürchtet, ich würde dafür Probleme kriegen ...

Zurück zum Thema, das Problem wurde offenbar von den anderen Technikern die mit an der Seite gearbeitet haben erfolgreich gelöst, so zu mindestens ist der Stand der mir übermittelt wurde

Ich hoffe ich habe beim Nächsten Problem bessere Formulierungen parat, das es nicht so missverständlich nach Angriff aussieht, ich will ja Niemandem was .. ich bin da halt mit solchen Problemen zu altmodisch, daher kam mir das "es ist ein bekanntes Problem" so merkwürdig an

und es gab ja ein fix dafür, wie das die andere Jungs geregelt haben konnte ich noch nicht erfragen, auch den UpgradeTest konnte ich noch nicht machen, meine Gesundheit hat mich heute im Stich gelassen

ich werde aber trotzdem, falls es dazu kommt, oder auch nicht, das Ergebnis wie auch immer es ausfällt hier mit dranhängen ..

Hinweis zu dem Edit vorher - als neuen Beitrag?, ich habe offenbar für die Formulierung zu lang gebraucht, da war wohl der "Zeitraum für edit" schon vorbei, ich hatte die Änderung abgeschickt, aber sie kam nicht mehr an, darum hatte ich die als neuen Beitrag angehängt

Edit zu diesem Beitrag hier: ich hab mir die englische Seite angesehen und wie ich es mir dachte fernab meines Problems von Devilshakerz selbst bestätigt:

bezugnehmend diesem Hinweis zu den 5 Dateien:
https://www.mybb.de/forum/thread-35891-p...#pid235737

dazu die englische Seite:
https://community.mybb.com/thread-219388...pid1313063

wir haben meines Wissens nach keine Passwort geschützten Forenbereiche auf der Seite, ist daher fraglich ob das mir in der Lage was bringt ..

aber ich habe das eben noch zur Sicherheit mal hinterfragt, da es ein verschachteltes Forum ist und ich nicht den Nerv habe jedes einzeln durchgehend nach Passwörtern zu suchen ..

sollte sich das so verhalten, das es keine PW geschützten Bereiche gibt, dann brauche ich wohl eine richtig gute Lösung, denn wie ich schon geschrieben habe ich mache nicht gern blindlinks irgendwas in der Hoffnung auf Besserung, ich hinterfrage die Dinge .. und bin damit leider ein Querkopf ich weiß das aber das spart global gesehen Nerven, wenn ich die Seite nicht von Null neu aufbauen muss, weil das Upgrade sich weigert zu kooperieren
Zitieren
#43
Die Fehlermeldung ist eindeutig, es muss irgendwo ein Foren-Passwort geben. Der Fix sollte in deinem Fall das Problem lösen.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#44
ja, ich habe die Meldung bekomen es gibt 1 tatsächlich mit Passwort .. damit ist das also schon mal klar, der Fehler in der 1.8.15, den die Jungs behoben habrn, ist dieser gewesen:

Parse error: syntax error, unexpected '' (T_ENCAPSED_AND_WHITESPACE), expecting '-' or identifier (T_STRING) or variable (T_VARIABLE) or number (T_NUM_STRING) in /www/htdocs/w0131220/mybb/member.php(2816) : eval()'d code on line 26

ich werde mich mal um die Lösung bemühen dann ich hab da ja schon nachgesehen aber die "Files attached nicht gefunden .. werd mir das noch mal genauer ansehen, wo die dann als attached zu finden sind ..

Edit: lol, das hab ich übersehen die files.zip .. dann kann es ja gleich losgehen mit dem beheben Big Grin

Edit2: vorbehaltlich der Prüfung der Plugins auf Funktion, hat das Upgrade mit der fixed-Files-Version geklappt Big Grin habe die Files vor dem Upgrade ersetzt und mit einem Zug ging es sauber durch, wie es zu erwarten ist, bei einem Upgrade Big Grin
Zitieren
#45
(11.09.2018, 15:11)FlederMaus schrieb: ja, ich habe die Meldung bekomen es gibt 1 tatsächlich mit Passwort .. damit ist das also schon mal klar, der Fehler in der 1.8.15, den die Jungs behoben habrn, ist dieser gewesen:

Parse error: syntax error, unexpected '' (T_ENCAPSED_AND_WHITESPACE), expecting '-' or identifier (T_STRING) or variable (T_VARIABLE) or number (T_NUM_STRING) in /www/htdocs/w0131220/mybb/member.php(2816) : eval()'d code on line 26
Das war kein Fehler in MyBB, sondern ein Fehler in einem Template.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#46
das hab ich auch erkannt dann, aber zumindestens war das die Meldung die ich bekommen habe, ich wusste ja vorher nicht das es nur ein Templatefehler war, wollte aber zur Sicherheit die Meldung haben

vorerst mal war es dass dann zum Problem upgrade mit Fehler von mir, noch mal vielen Dank für die Geduld mit mir Big Grin

Edit:

leider zu früh gefreut, beidem Versuch auf einer Seite 1.8.14 auf 1.8.18 zu kommen, hat es folgende Meldung gegeben:

Parse error: syntax error, unexpected '' (T_ENCAPSED_AND_WHITESPACE), expecting '-' or identifier (T_STRING) or variable (T_VARIABLE) or number (T_NUM_STRING) in /www/htdocs/w011d356/mybb-slayertime/index.php(119) : eval()'d code on line 2

das riecht wieder nach einem Templatefehler, da wäre dann mal interessant welches das wohl wäre, wenn ich von "index.php als Melder ausgehe wird das wohl ein index.template sein .. dann werde ich da mal nachgehen was das wieder ist ..

wird immer besser, ich hab im ACP nicht mehr die Plugins reaktivieren können, weil es in den language/deutsch_du/admin eine fehlende php gibt, stlyeusername, scheint von einem nicht verfügbaren Plugin zu sein, denn im Backup vorab gab es diese php auch nicht

sowas von lästig diese Umstände, also back to 1.8.14 und sehen was da nicht richtig läuft .. warum das fehlen soll wenn die vorher schon nicht drin war
Zitieren
#47
(25.08.2018, 12:59)lenox schrieb: Im Index Template muss noch


PHP-Code:
<dt><span class="forum_status forum_offlock" title="{$lang->forum_locked}"></span></dt>

 <
dd>{$lang->forum_locked}</dd

ersetzt werden mit

PHP-Code:
<dt><span class="forum_status forum_offclose" title="{$lang->forum_closed}"></span></dt>

 <
dd>{$lang->forum_closed}</dd

(25.08.2018, 13:27)StefanT schrieb: Das hat mit MyBB 1.8.18 nichts zu tun, dort wurde das genannte Template nicht verändert.

Ich krame das mal hervor, da ich erst jetzt auf die .19 aktualisiert habe und mir das vorher nicht aufgefallen ist...

Warum hat das mit dem Update nichts zu tun? Die Klasse hieß vorher forum_offlock und jetzt forum_offclose. Das wurde aber in der global.css nicht geändert.
Zitieren
#48
Das Template wurde bei MyBB 1.8.16 und 1.8.17 verändert, aber nicht bei MyBB 1.8.18. In beiden Ankündigungen haben wir auch auf die Änderungen an Stylesheets hingewiesen und die geänderten Templates aufgelistet.
Da es hier in der Diskussion nun einmal primär um die Aktualisierung von 1.8.17 auf 1.8.18 geht, passt der Beitrag an dieser Stelle nicht.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Diskussion: MyBB 1.8.19 veröffentlicht StefanT 69 1.943 16.11.2018, 16:14
Letzter Beitrag: The Incredible
  Diskussion: MyBB 1.8.17 veröffentlicht StefanT 45 2.293 21.08.2018, 10:47
Letzter Beitrag: Jockl
  Diskussion: MyBB 1.8.16 veröffentlicht StefanT 8 795 13.07.2018, 08:08
Letzter Beitrag: StefanT
  Diskussion: MyBB 1.8.15 veröffentlicht StefanT 18 2.356 20.04.2018, 20:51
Letzter Beitrag: MrBrechreiz
  Diskussion: MyBB 1.8.14 veröffentlicht Jockl 12 2.431 25.12.2017, 19:17
Letzter Beitrag: bromance